LoudVoice API \ Votes \ Get vote details

Resource/URI - Discussions GET POST PUT DELETE
Discussions /loudvoice/discussions.json List all discussions Create a discussion – –
Discussion /loudvoice/discussions/<discussion_token>.json Read a discussion – Update a discussion Delete a discussion
Discussion messages /loudvoice/comments/<discussion_token>/comments.json Read discussion comments – – –
Resource/URI - Authors GET POST PUT DELETE
Authors /loudvoice/authors.json List all authors Create an author – –
Author /loudvoice/authors/<author_token>.json Read an author – Update an author Delete an author
Resource/URI - Author Sessions GET POST PUT DELETE
Author Sessions /loudvoice/authors/sessions.json List all sessions – Create or update a session –
Author Session /loudvoice/authors/sessions/<session_token>.json – – – Delete a session
Resource/URI - Comments GET POST PUT DELETE
Comments /loudvoice/comments.json List all comments Create a comment – –
Comment /loudvoice/comments/<comment_token>.json Read a comment – Update a comment Delete a comment
Resource/URI - Votes GET POST PUT DELETE
Votes /loudvoice/votes.json List all
votes
– – –
Vote /loudvoice/votes/comments/<comment_token>/authors/<author_token>.json Read a vote – Cast a vote Delete a vote

Workflow

Request: the code to send to the API

Send an API request to this endpoint in order to return the vote of an author for a comment:

GET /loudvoice/votes/comments/<comment_token>/authors/<author_token>.json

The <comment_token> and <author_token> must be replaced by the unique identifiers of the comment that has been voted for and the author who casted the vote. Authors may not vote for their own comments and may not cast more than one vote per comment.

Result: the code returned by the API

The API will either return a HTTP status code 200 on success or an appropriate message body with further details on the error that occured.

Example Resultset

{
  "response": {
    "request": {
      "date": "Mon, 21 Oct 2019 12:27:29 +0200",
      "resource": "/loudvoice/votes/comments/be81ee93-eafa-4788-853c-892b9be91a8b/authors/3f76faa4-4188-463a-8f4f-555286039014.json",
      "status": {
        "flag": "success",
        "code": 200,
        "info": "Your request has been processed successfully"
      }
    },
    "result": {
      "data": {
        "vote": {
          "comment_token": "be81ee93-eafa-4788-853c-892b9be91a8b",
          "author_token": "3f76faa4-4188-463a-8f4f-555286039014",
          "direction": "up",
          "ip_address": "216.239.63.255",
          "date_creation": "Thu, 17 Oct 2019 11:22:46 +0200"
        }
      }
    }
  }
}

User Contributed Notes